body, html {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
}

body {
  font-family: Roboto;
  color: #424242;
}

h1, h2, h3, h4, h5 {
  margin: 0; 
}

header, nav, footer, section, article, div {
  box-sizing: border-box;
}

ul {
  list-style: none;
  padding: 0;
  margin: 0;
}


/*
 *
 * Common
 * 
 */

.news__more {
  color: #333;
  float: right;
  font-size: .8em;
  min-width: 48px;
  text-decoration: none;
}


/*
 *
 * Header
 *
 */

.header {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.26);
  min-height: 56px;
  transition: min-height 0.3s;
}

.header__inner {
  display: flex;
}

.header__logo {
  height: 72px;
  margin-right: 1em;
  vertical-align: top;
  margin: 12px 2px 4px 2px;
}

.header__title {
  font-weight: 200;
  flex-grow: 1;
  margin: 0.5em 0.25em;
  color: #212121;
}


/*
 *
 * Top Level Navigation
 *
 */

.menu {
  background: url('images/menu48.png') no-repeat;
  height: 32px;
  margin: auto 0;
  width: 48px;
}

.nav {
  max-height: 5px;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  transition: max-height ease 0.3s;
}

.nav.open {
  max-height: 500px;
}

.nav__list {
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  width: 100%;
}

.nav__item {
  box-sizing: border-box;
  display: inline-block;
  text-align: center;
  line-height: 24px;
  padding: 24px;
  text-transform: uppercase;
}

.nav a {
  text-decoration: none;
  color: #616161;
}

.nav a:hover {
  text-decoration: underline;
  color: #212121;
}


/*
 *
 * Main
 *
 */

main {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.26);
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}

/*
 *
 * Content
 *
 */

.content {
  display: flex;
  flex-wrap: wrap;
  /*width: 100%;*/
}

/*
 *
 * Hero
 *
 */

.hero {
  width: 100%;
  position: relative;
  background-image: url("./images/uigv_bg.jpg");
  background-size: cover;
  height: 300px;
  order: 1;
}

.hero article {
  box-sizing: border-box;
  background-color: #000;
  background-color: rgba(0, 0, 0, 0.7);
  position: absolute;
  bottom: 0;
  height: 50%;
  width: 100%;
  color: #fff;
  padding: 1em;
  font-size: 0.8em;
}


/*
 *
 * Top News
 *
 */

.top-news {
  float: right;
  width: 100%;
  height: 300px;
  border-bottom: 1px solid #E0E0E0;
  padding: 1em;
  order: 2;
}

.news__title {
  font-weight: 300;
  border-bottom: 1px solid #E0E0E0;
  line-height: 24px;
  font-size: 16px;
}

.top-news__item {
  border-bottom: 1px solid #E0E0E0;
  padding: 1em 0;
  line-height: 19.2px;
}

.top-news__item:last-child {
  border-bottom: none;
}

.top-news__item a {
  text-decoration: none;
  color: #666;
}

.top-news__item a:hover,
.top-news__item a:active {
  text-decoration: underline;
}

.recent-news {
  clear: both;
  padding: 1em;
  order: 5;
}

.recent-events {
  display: none;
  clear: both;
  padding: 1em;
  order: 5;
}

.snippet {
  clear: both;
  margin: 24px 0;
}

.snippet__thumbnail {
  width: 100px;
  float: left;
  margin-right: 1em;
}

.snippet__title {
  font-weight: 500;
}

.snippet__title a {
  text-decoration: none;
  color: #666;
}

.snippet__title a:hover,
.snippet__title a:active {
  text-decoration: underline;
}


/*
 *
 * Footer
 *
 */

footer {
  border-top: 1px solid #E0E0E0;
  padding: 1em;
  width: 100%;
}

footer li {
  display: inline-block;
  margin: 0 1em;
}

footer a {
  color: #333;
  display: block;
  font-size: 0.8em;
  min-width: 48px;
  text-align: center;
  text-decoration: none;
}

@media screen and (min-width: 450px) {
  .header__title {
    font-size: 1.5em;
  }
  .menu {
    display: none;
  }
  .nav {
    max-height: 500px;
  }
  .nav__list {
    flex-direction: row;
    justify-content: space-between;
  }
}

@media screen and (min-width: 700px) {
  .header__title {
    font-size: 2em;
  }
  
  .hero {
    width: 100%;
  } 
  
  .weather {
    order: 1;
    width: 50%;
  }
  
  .top-news {
    width: 50%;
  }
  
  .scores {
    width: 50%;
  }
}

@media screen and (min-width: 1024px) {
  body {
    width: 1024px;
    margin: 0 auto 0 auto;
  } 
  
  .header__title {
    font-size: 2.5em;
  }
}